package com.ruoyi.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 山东探越塔机请求-实时数据【Linux】
 */
@Data
public class TyTowerLinuxRunReqVO {

    /** 设备ID */
    @NotNull
    private Integer eid;
    /** 高度(米) */
    private Float height;
    /** 重量(kg) */
    private Float weight;
    /** 回转(°) */
    private Float round;
    /** 幅度(°) */
    private Float amplitude;
    /** 风速(米/秒) */
    private Float wind_speed;
    /** 力矩 */
    private Float moment;
    /** 力矩百分比(%) */
    private Float moment_percent;
    /** 倍率(正整数) */
    private Integer override;
    /** 倾角X(°) */
    private Float angle_x;
    /** 倾角Y(°) */
    private Float angle_y;
}
