package com.yanzhu.jh.device.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 配电箱配置对象 dev_iot_config
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public class DevIotConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 通信账号 */
    @Excel(name = "通信账号")
    private String signalName;

    /** 通信密码 */
    @Excel(name = "通信密码")
    private String signalCode;

    /** 厂家名称 */
    @Excel(name = "厂家名称")
    private String factoryName;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setSignalName(String signalName) 
    {
        this.signalName = signalName;
    }

    public String getSignalName() 
    {
        return signalName;
    }
    public void setSignalCode(String signalCode) 
    {
        this.signalCode = signalCode;
    }

    public String getSignalCode() 
    {
        return signalCode;
    }
    public void setFactoryName(String factoryName) 
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName() 
    {
        return factoryName;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("signalName", getSignalName())
            .append("signalCode", getSignalCode())
            .append("factoryName", getFactoryName())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
