package com.ruoyi.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 山东探越塔机请求-报警数据【Linux】
 */
@Data
public class TyTowerLinuxWarningReqVO {

    /** 设备ID */
    @NotNull
    private Integer eid;
    /** 高度 */
    private Float height;
    /** 重量 */
    private Float weight;
    /** 回转 */
    private Float round;
    /** 幅度 */
    private Float amplitude;
    /** 风速 */
    private Float wind_speed;
    /** 力矩 */
    private Float moment;
    /** 力矩百分比 */
    private Float moment_percent;
    /** 倍率 */
    private Integer override;
    /** 倾角X */
    private Float angle_x;
    /** 倾角Y */
    private Float angle_y;
    /** 报警type,报警内容由报警编号决定 */
    private Integer alarm_type;

}
