package com.ruoyi.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 山东探越塔机请求-实时数据【Android】
 */
@Data
public class TyTowerRunReqVO {

    /** 设备ID */
    @NotNull
    private Integer eid;
    /** 高度 */
    private Float height;
    /** 幅度 */
    private Float range;
    /** 回转角度 */
    private Float rotation_angle;
    /** 吊重 */
    private Float lifting_weight;
    /** 力距 */
    private Float force;
    /** 力距百分比 */
    private Float force_distance;
    /** 风速 */
    private Float wind_speed;
    /** 倍率 */
    private String magnification;
    /** 倾角X */
    private Float anteversion_x;
    /** 倾角Y */
    private Float anteversion_y;
}
