package com.yanzhu.jh.device.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 配电箱配置对象 dev_iot_config_point
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public class DevIotConfigPoint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置主键 */
    @Excel(name = "配置主键")
    private Long cfgId;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSn;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 厂家名称 */
    @Excel(name = "厂家名称")
    private String factoryName;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系人电话 */
    @Excel(name = "联系人电话")
    private String contactPersonPhone;

    /** 配电箱等级 */
    @Excel(name = "配电箱等级")
    private String levels;

    /** 漏电电流 */
    @Excel(name = "漏电电流")
    private String leakageCurrent;

    /** 额定温度 */
    @Excel(name = "额定温度")
    private String ratedTemperature;

    /** 短路电流 */
    @Excel(name = "短路电流")
    private String shortCircuitCurrent;

    /** 额定电流 */
    @Excel(name = "额定电流")
    private String ratedCurrent;

    /** 额定电压 */
    @Excel(name = "额定电压")
    private String ratedVoltage;

    /** 在线状态 */
    @Excel(name = "在线状态")
    private String onlineStatus;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeviceSn(String deviceSn) 
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceSn() 
    {
        return deviceSn;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setFactoryName(String factoryName) 
    {
        this.factoryName = factoryName;
    }

    public String getFactoryName() 
    {
        return factoryName;
    }
    public void setContactPerson(String contactPerson) 
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson() 
    {
        return contactPerson;
    }
    public void setContactPersonPhone(String contactPersonPhone) 
    {
        this.contactPersonPhone = contactPersonPhone;
    }

    public String getContactPersonPhone() 
    {
        return contactPersonPhone;
    }
    public void setLevels(String levels) 
    {
        this.levels = levels;
    }

    public String getLevels() 
    {
        return levels;
    }
    public void setLeakageCurrent(String leakageCurrent) 
    {
        this.leakageCurrent = leakageCurrent;
    }

    public String getLeakageCurrent() 
    {
        return leakageCurrent;
    }
    public void setRatedTemperature(String ratedTemperature) 
    {
        this.ratedTemperature = ratedTemperature;
    }

    public String getRatedTemperature() 
    {
        return ratedTemperature;
    }
    public void setShortCircuitCurrent(String shortCircuitCurrent) 
    {
        this.shortCircuitCurrent = shortCircuitCurrent;
    }

    public String getShortCircuitCurrent() 
    {
        return shortCircuitCurrent;
    }
    public void setRatedCurrent(String ratedCurrent) 
    {
        this.ratedCurrent = ratedCurrent;
    }

    public String getRatedCurrent() 
    {
        return ratedCurrent;
    }
    public void setRatedVoltage(String ratedVoltage) 
    {
        this.ratedVoltage = ratedVoltage;
    }

    public String getRatedVoltage() 
    {
        return ratedVoltage;
    }
    public void setOnlineStatus(String onlineStatus) 
    {
        this.onlineStatus = onlineStatus;
    }

    public String getOnlineStatus() 
    {
        return onlineStatus;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("deviceSn", getDeviceSn())
            .append("deviceName", getDeviceName())
            .append("factoryName", getFactoryName())
            .append("contactPerson", getContactPerson())
            .append("contactPersonPhone", getContactPersonPhone())
            .append("levels", getLevels())
            .append("leakageCurrent", getLeakageCurrent())
            .append("ratedTemperature", getRatedTemperature())
            .append("shortCircuitCurrent", getShortCircuitCurrent())
            .append("ratedCurrent", getRatedCurrent())
            .append("ratedVoltage", getRatedVoltage())
            .append("onlineStatus", getOnlineStatus())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
