package com.yanzhu.jh.device.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 配电箱预警对象 dev_iot_warning
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public class DevIotWarning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置主键 */
    @Excel(name = "配置主键")
    private Long cfgId;

    /** 点位主键 */
    @Excel(name = "点位主键")
    private Long pointId;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSn;

    /** 预警类型 */
    @Excel(name = "预警类型")
    private String warningType;

    /** 预警内容 */
    @Excel(name = "预警内容")
    private String warningContent;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setPointId(Long pointId) 
    {
        this.pointId = pointId;
    }

    public Long getPointId() 
    {
        return pointId;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeviceSn(String deviceSn) 
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceSn() 
    {
        return deviceSn;
    }
    public void setWarningType(String warningType) 
    {
        this.warningType = warningType;
    }

    public String getWarningType() 
    {
        return warningType;
    }
    public void setWarningContent(String warningContent) 
    {
        this.warningContent = warningContent;
    }

    public String getWarningContent() 
    {
        return warningContent;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("pointId", getPointId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("deviceSn", getDeviceSn())
            .append("warningType", getWarningType())
            .append("warningContent", getWarningContent())
            .append("createTime", getCreateTime())
            .toString();
    }
}
